package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * 于设备数据发送命令响应的回调接口
 * Created by yejianfei on 2017/6/7.
 */

public interface DeviceCommandCallback<T extends DeviceCommandResult> {

    void onSuccess(Device device, T result);

    void onError(Device device, DeviceCallbackException error);
}
