package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.result.DeviceScanResult;

/**
 * 低耗功蓝牙设备扫描回调接口。
 * Created by yejianfei on 2017/6/7.
 */

public interface DeviceManagerScanCallback<T extends DeviceScanResult> {

    void onScanning(T result);

    void onStop();

    void onError(DeviceCallbackException error);

}
