package hk.advanpro.android.sdk.device.enumeration;

/**
 * 设备类型
 * <p>
 * Belt:呼吸带
 * Band：腰带
 * SMan：内裤
 * Insole：智能鞋垫
 * Futon：智能跪垫
 * SDP：开发版
 * SDP_Insole：智能医疗鞋垫
 * HeartShirt：心电衣
 * BreathShirt：呼吸衣
 * Created by jalin on 2017/7/12.
 */

public enum DeviceType {
    Belt(1),
    Band(2),
    SMan(3),
    Insole(4),
    Futon(7),
    Kedian(8),
    SDP(10),
    SDP_Insole(11),
    HeartShirt(13),
    BreathShirt(14),
    Unknown(0);
    private int value;

    DeviceType(int num) {
        this.value = num;
    }

    public int getValue() {
        return value;
    }
}
