package hk.advanpro.android.sdk.device.ota;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.callback.DeviceCallbackException;

/**
 * Created by jalin on 2017/12/15.
 */

public interface DeviceFirmwareUpgradeCallback {

    void start(Device device);

    void onStatusChange(Device device, int status);

    void onProgress(Device device, long total, long progress);

    void onSuccess(Device device);

    void onError(Device device, DeviceCallbackException error);
}
