package hk.advanpro.android.sdk.device.ota.advanpro;

/**
 * 蓝牙数据包
 */
public class BLEData {

    public int service;         // 服务字UUID
    public int characteristic;  // 特征字UUID
    public byte[] value;        // 数据
    public long tvMills;        // 数据接收时标

    public BLEData(int service, int characteristic, byte[] value) {
        this.service = service;
        this.characteristic = characteristic;
        this.value = value;
        this.tvMills = System.currentTimeMillis();
    }

    public int getService() {
        return service;
    }

    public void setService(int service) {
        this.service = service;
    }

    public int getCharacteristic() {
        return characteristic;
    }

    public void setCharacteristic(int characteristic) {
        this.characteristic = characteristic;
    }

    public byte[] getValue() {
        return value;
    }

    public void setValue(byte[] value) {
        this.value = value;
    }

    public long getTvMills() {
        return tvMills;
    }

    public void setTvMills(long tvMills) {
        this.tvMills = tvMills;
    }
}
