package hk.advanpro.android.sdk.device.params.ble;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

import static hk.advanpro.android.sdk.device.protocol.BLEProtocol.buildWriteDeviceCodeCommand;

/**
 * Created by yejianfei on 2017/6/23.
 */

public class BLEWriteDeviceCodeCommandParams implements DeviceCommandParams {

    private String code;

    public BLEWriteDeviceCodeCommandParams(String code) {
        this.code = code;
    }

    public String getId() {
        return code;
    }

    @Override
    public byte[] toBytes() {
        return buildWriteDeviceCodeCommand(code);
    }

}
