package hk.advanpro.android.sdk.device.params.ble.belt;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

import static hk.advanpro.android.sdk.device.protocol.BLEBeltProtocol.buildStorageStopCommand;

/**
 * 是否开启呼吸分析
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltNotifyBreathCommandParams implements DeviceCommandParams {

    private boolean enable;

    public BLEBeltNotifyBreathCommandParams(boolean enable) {
        this.enable = enable;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    @Override
    public byte[] toBytes() {
        return new byte[]{(byte) (enable ? 1 : 0)};
    }

}
