package hk.advanpro.android.sdk.device.params.ble.belt;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

/**
 * 是否开启睡眠分析
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltNotifySleepCommandParams implements DeviceCommandParams {

    private boolean enable;//开启、结束
    private int interval;//睡眠分析时间间隔

    public BLEBeltNotifySleepCommandParams(boolean enable) {
        this.enable = enable;
    }

    public BLEBeltNotifySleepCommandParams(boolean enable, int interval) {
        this.enable = enable;
        this.interval = interval;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public int getInterval() {
        return interval;
    }

    public void setInterval(int interval) {
        this.interval = interval;
    }

    @Override
    public byte[] toBytes() {
        return new byte[]{(byte) (enable ? 1 : 0)};
    }

}
