package hk.advanpro.android.sdk.device.params.ble.pi;

import java.util.List;
import java.util.Map;

import hk.advanpro.android.sdk.device.params.DeviceSettingParams;

/**
 * 设置采样率，为空表示不设置
 * 作者：jalin on 2017/12/26 16:30
 * 邮箱：zhouxiaolin@advanpro.com
 */

public class BLEAdvanproPiSettingParams implements DeviceSettingParams {
    private int rate;
    private List<String> output;
    private Map<String, String> rateDiv;
    private Map<String, String> range;
    private List<String> sensorsActive;

    public BLEAdvanproPiSettingParams() {
    }

    public int getRate() {
        return rate;
    }

    public void setRate(int rate) {
        this.rate = rate;
    }

    public List<String> getOutput() {
        return output;
    }

    public void setOutput(List<String> output) {
        this.output = output;
    }

    public Map<String, String> getRateDiv() {
        return rateDiv;
    }

    public void setRateDiv(Map<String, String> rateDiv) {
        this.rateDiv = rateDiv;
    }

    public Map<String, String> getRange() {
        return range;
    }

    public void setRange(Map<String, String> range) {
        this.range = range;
    }

    public List<String> getSensorsActive() {
        return sensorsActive;
    }

    public void setSensorsActive(List<String> sensorsActive) {
        this.sensorsActive = sensorsActive;
    }

}
