package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltNotifyStepEventResult implements DeviceEventResult {

    private short year;

    private short month;

    private short day;

    private short hour;

    private short minute;

    private short second;

    private int walkSteps;

    private int runSteps;

    private int walkSeconds;

    private int runSeconds;

    public short getYear() {
        return year;
    }

    public void setYear(short year) {
        this.year = year;
    }

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public short getHour() {
        return hour;
    }

    public void setHour(short hour) {
        this.hour = hour;
    }

    public short getMinute() {
        return minute;
    }

    public void setMinute(short minute) {
        this.minute = minute;
    }

    public short getSecond() {
        return second;
    }

    public void setSecond(short second) {
        this.second = second;
    }

    public int getWalkSteps() {
        return walkSteps;
    }

    public void setWalkSteps(int walkSteps) {
        this.walkSteps = walkSteps;
    }

    public int getRunSteps() {
        return runSteps;
    }

    public void setRunSteps(int runSteps) {
        this.runSteps = runSteps;
    }

    public int getWalkSeconds() {
        return walkSeconds;
    }

    public void setWalkSeconds(int walkSeconds) {
        this.walkSeconds = walkSeconds;
    }

    public int getRunSeconds() {
        return runSeconds;
    }

    public void setRunSeconds(int runSeconds) {
        this.runSeconds = runSeconds;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.YEAR, getYear());
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, hour);
        calendar.set(Calendar.MINUTE, minute);
        calendar.set(Calendar.SECOND, second);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }
}
