package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/26.
 */

public class BLEBeltStepCommandResult implements DeviceCommandResult {

    private List<BeltStep> steps = new ArrayList<>();

    public List<BeltStep> getSteps() {
        return steps;
    }

    public void setSteps(List<BeltStep> steps) {
        this.steps = steps;
    }

    public static class BeltStep {

        private short month;

        private short day;

        private int walkSteps;

        private int runSteps;

        private int walkSeconds;

        private int runSeconds;

        public short getMonth() {
            return month;
        }

        public void setMonth(short month) {
            this.month = month;
        }

        public short getDay() {
            return day;
        }

        public void setDay(short day) {
            this.day = day;
        }

        public int getWalkSteps() {
            return walkSteps;
        }

        public void setWalkSteps(int walkSteps) {
            this.walkSteps = walkSteps;
        }

        public int getRunSteps() {
            return runSteps;
        }

        public void setRunSteps(int runSteps) {
            this.runSteps = runSteps;
        }

        public int getWalkSeconds() {
            return walkSeconds;
        }

        public void setWalkSeconds(int walkSeconds) {
            this.walkSeconds = walkSeconds;
        }

        public int getRunSeconds() {
            return runSeconds;
        }

        public void setRunSeconds(int runSeconds) {
            this.runSeconds = runSeconds;
        }

    }


}
