package hk.advanpro.android.sdk.device.result.ble.belt;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/27.
 */

public class BLEBeltStorageQueryCommandResult implements DeviceCommandResult {

    private short status;

    private short year;

    private short month;

    private short day;

    private short hour;

    private short minute;

    private short second;

    private short duration;

    private short total;

    private short code;

    public short getStatus() {
        return status;
    }

    public void setStatus(short status) {
        this.status = status;
    }

    public short getYear() {
        return year;
    }

    public void setYear(short year) {
        this.year = year;
    }

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public short getHour() {
        return hour;
    }

    public void setHour(short hour) {
        this.hour = hour;
    }

    public short getMinute() {
        return minute;
    }

    public void setMinute(short minute) {
        this.minute = minute;
    }

    public short getSecond() {
        return second;
    }

    public void setSecond(short second) {
        this.second = second;
    }

    /**
     * 已持续时间(分钟)
     * @return 已持续时间(分钟)
     */
    public short getDuration() {
        return duration;
    }

    public void setDuration(short duration) {
        this.duration = duration;
    }

    /**
     * 总体时长(分钟)
     * @return 总体时长(分钟)
     */
    public short getTotal() {
        return total;
    }

    public void setTotal(short total) {
        this.total = total;
    }

    public short getCode() {
        return code;
    }

    public void setCode(short code) {
        this.code = code;
    }


    public Date getStartDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.YEAR, getYear());
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, getHour());
        calendar.set(Calendar.MINUTE, getMinute());
        calendar.set(Calendar.SECOND, getSecond());
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }
}
