package hk.advanpro.android.sdk.device.result.ble.belt;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by jalin on 2017/7/3.
 */

public class BleBeltNotifySleepEventResult implements DeviceEventResult {

    // 睡眠曲线，[0,3]数值越小睡眠越深
    private double[] sleepGraph;
    // 睡眠曲线每个点的间隔，秒
    private long intervalOfPoints = 30;
    // 睡眠得分
    private long sleepQualityScore;

    public BleBeltNotifySleepEventResult(double[] sleepGraph, long intervalOfPoints, long sleepQualityScore) {
        this.sleepGraph = sleepGraph;
        this.intervalOfPoints = intervalOfPoints;
        this.sleepQualityScore = sleepQualityScore;
    }

    public double[] getSleepGraph() {
        return sleepGraph;
    }

    public void setSleepGraph(double[] sleepGraph) {
        this.sleepGraph = sleepGraph;
    }

    public long getIntervalOfPoints() {
        return intervalOfPoints;
    }

    public void setIntervalOfPoints(long intervalOfPoints) {
        this.intervalOfPoints = intervalOfPoints;
    }

    public long getSleepQualityScore() {
        return sleepQualityScore;
    }

    public void setSleepQualityScore(long sleepQualityScore) {
        this.sleepQualityScore = sleepQualityScore;
    }
}
