package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/11.
 */

public class BLEInsoleHistoryGaitCommandResult implements DeviceCommandResult {


    private short month;

    private short day;

    private short forefoot;

    private short sole;

    private short heel;

    private short varus;

    private short ectropion;

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public short getForefoot() {
        return forefoot;
    }

    public void setForefoot(short forefoot) {
        this.forefoot = forefoot;
    }

    public short getSole() {
        return sole;
    }

    public void setSole(short sole) {
        this.sole = sole;
    }

    public short getHeel() {
        return heel;
    }

    public void setHeel(short heel) {
        this.heel = heel;
    }

    public short getVarus() {
        return varus;
    }

    public void setVarus(short varus) {
        this.varus = varus;
    }

    public short getEctropion() {
        return ectropion;
    }

    public void setEctropion(short ectropion) {
        this.ectropion = ectropion;
    }

    public int getNormal() {
        return (getSole() + getHeel() + getForefoot() - getEctropion() - getVarus());

    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }
}
