package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleStepSectionsCommandResult implements DeviceCommandResult {

    private short month;

    private short day;

    private int length;

    private List<BLEInsoleStepSection> sections = new ArrayList<>();

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    public int getLength() {
        return length;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public List<BLEInsoleStepSection> getSections() {
        return sections;
    }

    public void setSections(List<BLEInsoleStepSection> sections) {
        this.sections = sections;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }

    public static class BLEInsoleStepSection {

        private short section;

        private short walkStep;

        private short runStep;

        public short getSection() {
            return section;
        }

        public void setSection(short section) {
            this.section = section;
        }

        public short getWalkStep() {
            return walkStep;
        }

        public void setWalkStep(short walkStep) {
            this.walkStep = walkStep;
        }

        public short getRunStep() {
            return runStep;
        }

        public void setRunStep(short runStep) {
            this.runStep = runStep;
        }
    }

}
