package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleSyncTimeCommandResult implements DeviceCommandResult {

    private short length;

    private List<BLEInsoleStorageLog> logs = new ArrayList<>();

    public short getLength() {
        return length;
    }

    public void setLength(short length) {
        this.length = length;
    }

    public List<BLEInsoleStorageLog> getLogs() {
        return logs;
    }

    public void setLogs(List<BLEInsoleStorageLog> logs) {
        this.logs = logs;
    }

    public static class BLEInsoleStorageLog {

        private short year;

        private short month;

        private short day;

        public short getYear() {
            return year;
        }

        public void setYear(short year) {
            this.year = year;
        }

        public short getMonth() {
            return month;
        }

        public void setMonth(short month) {
            this.month = month;
        }

        public short getDay() {
            return day;
        }

        public void setDay(short day) {
            this.day = day;
        }

        public Date getDate() {
            Calendar calendar = Calendar.getInstance();
            calendar.set(Calendar.YEAR, getYear());
            calendar.set(Calendar.MONTH, getMonth() - 1);
            calendar.set(Calendar.DATE, getDay());
            calendar.set(Calendar.HOUR_OF_DAY, 0);
            calendar.set(Calendar.MINUTE, 0);
            calendar.set(Calendar.SECOND, 0);
            calendar.set(Calendar.MILLISECOND, 0);

            return calendar.getTime();
        }
    }
}
