package hk.advanpro.android.sdk.device.result.ble.pi;

import org.apache.commons.lang3.ArrayUtils;

import hk.advanpro.android.sdk.device.result.DeviceEventResult;

/**
 * Created by yejianfei on 2017/7/5.
 */

public class BLEAdvanproPiDataEventResult implements DeviceEventResult {


    private int number;

    private String[] names;

    private String[] datas;

    public BLEAdvanproPiDataEventResult() {
    }

    public BLEAdvanproPiDataEventResult(int number, String[] names, String[] datas) {
        this.number = number;
        this.names = names;
        this.datas = datas;
    }

    public String[] getNames() {
        return names;
    }

    public void setNames(String[] names) {
        this.names = names;
    }

    public String[] getDatas() {
        return datas;
    }

    public void setDatas(String[] datas) {
        this.datas = datas;
    }

    public String get(String name) {
        if (name == null)
            return null;
        if (names == null)
            return null;
        int index = ArrayUtils.indexOf(names, name);
        return index >= 0 && datas != null && datas.length > index ? datas[index] : null;
    }
}
