package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.Device;
import hk.advanpro.android.sdk.device.result.DeviceConnectResult;

/**
 * 用于设备连接后的回调接口。
 * Created by yejianfei on 2017/6/7.
 */

public interface DeviceConnectCallback<T extends DeviceConnectResult> {

    void onSucceed(Device device, T result) ;

    void onError(Device device, DeviceCallbackException error);

}
