package hk.advanpro.android.sdk.device.params.ble;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

import static hk.advanpro.android.sdk.device.protocol.BLEProtocol.buildSendPermissionCommand;

/**
 * 发送验证数据
 * Created by yejianfei on 2017/6/23.
 */

public class BLESendPermissionCodeCommandParams implements DeviceCommandParams {

    private int code;

    public BLESendPermissionCodeCommandParams(int code) {
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    @Override
    public byte[] toBytes() {
        return buildSendPermissionCommand(code);
    }


}
