package hk.advanpro.android.sdk.device.params.ble;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;

import static hk.advanpro.android.sdk.device.protocol.BLEProtocol.buildWriteDeviceCodeCommand;
import static hk.advanpro.android.sdk.device.protocol.BLEProtocol.buildWriteDeviceIdCommand;

/**
 * Created by yejianfei on 2017/6/23.
 */

public class BLEWriteDeviceIdCommandParams implements DeviceCommandParams {

    private String id;

    public BLEWriteDeviceIdCommandParams(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Override
    public byte[] toBytes() {
        return buildWriteDeviceIdCommand(id);
    }

}
