package hk.advanpro.android.sdk.device.params.ble.insole;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/13.
 */

public class BLEInsoleEnableAccCommandParams implements DeviceCommandParams {

    private int time;

    public BLEInsoleEnableAccCommandParams(int time) {
        this.time = time;
    }

    public int getTime() {
        return time;
    }

    @Override
    public byte[] toBytes() {
        return BLEInsoleProtocol.buildEnableAccCommand(time);
    }
}
