package hk.advanpro.android.sdk.device.params.ble.insole;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/13.
 */

public class BLEInsoleStartCommandParams implements DeviceCommandParams {

    //8 HZ/10 HZ/16 HZ/24 HZ/32 HZ
    private int rate;

    public BLEInsoleStartCommandParams() {
    }

    public BLEInsoleStartCommandParams(int rate) {
        this.rate = rate;
    }


    @Override
    public byte[] toBytes() {
        return BLEInsoleProtocol.buildCollectStartCommand(rate);
    }

    public int getRate() {
        return rate;
    }

    public void setRate(int rate) {
        this.rate = rate;
    }
}
