package hk.advanpro.android.sdk.device.params.ble.insole;

import hk.advanpro.android.sdk.device.params.DeviceCommandParams;
import hk.advanpro.android.sdk.device.protocol.BLEInsoleProtocol;

/**
 * Created by yejianfei on 2017/6/12.
 */

public class BLEInsoleWriteIdCommandParams implements DeviceCommandParams {

    private long id;

    public BLEInsoleWriteIdCommandParams(long id) {
        this.id = id;
    }

    public long getId() {
        return id;
    }

    @Override
    public byte[] toBytes() {
        return BLEInsoleProtocol.buildWriteIdCommand(getId());
}
}
