package hk.advanpro.android.sdk.device.result.ble.insole;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by jalin on 2017/9/18.
 */

public class BLEInsoleCollectStatusCommandResult implements DeviceCommandResult {
    private int status;
    private int rate;


    public BLEInsoleCollectStatusCommandResult(int status, int rate) {
        this.status = status;
        this.rate = rate;
    }

    /**
     * 获取采集状态
     * 1采集状态
     * 0非采集状态
     *
     * @return int
     */
    public int getStatus() {
        return status;
    }

    /**
     * 当前采集频率
     *
     * @return int
     */
    public int getRate() {
        return rate;
    }

}
