package hk.advanpro.android.sdk.device.result.ble.insole;

import hk.advanpro.android.sdk.device.result.DeviceSettingResult;

/**
 * 鞋垫setting result
 * 作者：jalin on 2017/12/26 16:52
 * 邮箱：zhouxiaolin@advanpro.com
 */

public class BLEInsoleGetSettingResult implements DeviceSettingResult {
    private String address;
    private int rate;

    public BLEInsoleGetSettingResult() {
    }

    /**
     * 当前采集频率
     *
     * @return int
     */
    public int getRate() {
        return rate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    public void setRate(int rate) {
        this.rate = rate;
    }
}
