package hk.advanpro.android.sdk.device.result.ble.insole;

import java.util.Calendar;
import java.util.Date;

import hk.advanpro.android.sdk.device.result.DeviceCommandResult;

/**
 * Created by yejianfei on 2017/6/10.
 */

public class BLEInsoleHistoryStepCommandResult implements DeviceCommandResult {

    private short month;

    private short day;

    private int walkStep;

    private int walkDuration;

    private int runStep;

    private int runDuration;

    public short getMonth() {
        return month;
    }

    public void setMonth(short month) {
        this.month = month;
    }

    public short getDay() {
        return day;
    }

    public void setDay(short day) {
        this.day = day;
    }

    /**
     * 步行步数
     * @return 步行步数
     */
    public int getWalkStep() {
        return walkStep;
    }

    public void setWalkStep(int walkStep) {
        this.walkStep = walkStep;
    }

    /**
     * 步行时长，单位秒
     * @return 步行时长，单位秒
     */
    public int getWalkDuration() {
        return walkDuration;
    }

    public void setWalkDuration(int walkDuration) {
        this.walkDuration = walkDuration;
    }

    /**
     * 跑步步数
     * @return 跑步步数
     */
    public int getRunStep() {
        return runStep;
    }

    public void setRunStep(int runStep) {
        this.runStep = runStep;
    }

    /**
     * 跑步时长，单位秒
     * @return 跑步时长，单位秒
     */
    public int getRunDuration() {
        return runDuration;
    }

    public void setRunDuration(int runDuration) {
        this.runDuration = runDuration;
    }

    public Date getDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.MONTH, getMonth() - 1);
        calendar.set(Calendar.DATE, getDay());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        calendar.set(Calendar.MILLISECOND, 0);

        return calendar.getTime();
    }
}
