package hk.advanpro.android.sdk.device.result.ble.pi;


import java.util.List;
import java.util.Map;

import hk.advanpro.android.sdk.device.result.DeviceSettingResult;

/**
 * 开发版 getsetting Result
 * 作者：jalin on 2017/12/26 10:55
 * 邮箱：zhouxiaolin@advanpro.com
 */

public class BLEAdvanproPiGetSettingResult implements DeviceSettingResult {
    private String address;

    //数据字段名 No(128) fss1 spk1
    private List<String> dataName;

    // 主采样频率
    private int rate;
    // 输出项目 如：uart sd  ble
    private List<String> output;

    // 传感器列表
    private List<String> sensors;
    //激活的传感器列表
    private List<String> sensorsActive;

    //各传感器分频数 fss11:8 spk1:8
    private Map<String, String> rateDiv;

    // 各传感器量程 如 fss1:8  spk1:8
    private Map<String, String> range;

    // 启动状态信息 ，如果未启动者为空
    private Map<String, String> startCfg;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<String> getDataName() {
        return dataName;
    }

    public void setDataName(List<String> dataName) {
        this.dataName = dataName;
    }

    public int getRate() {
        return rate;
    }

    public void setRate(int rate) {
        this.rate = rate;
    }

    public List<String> getSensorsActive() {
        return sensorsActive;
    }

    public void setSensorsActive(List<String> sensorsActive) {
        this.sensorsActive = sensorsActive;
    }

    public List<String> getSensors() {
        return sensors;
    }

    public void setSensors(List<String> sensors) {
        this.sensors = sensors;
    }

    public Map<String, String> getRateDiv() {
        return rateDiv;
    }

    public void setRateDiv(Map<String, String> rateDiv) {
        this.rateDiv = rateDiv;
    }

    public Map<String, String> getRange() {
        return range;
    }

    public void setRange(Map<String, String> range) {
        this.range = range;
    }

    public List<String> getOutput() {
        return output;
    }

    public void setOutput(List<String> output) {
        this.output = output;
    }

    public Map<String, String> getStartCfg() {
        return startCfg;
    }

    public void setStartCfg(Map<String, String> startCfg) {
        this.startCfg = startCfg;
    }
}
